# -*- coding: windows-1250 -*- 
#
# RecurringEvent/tests/retc.py
#
# Define a common RecurringEventTestCase base class for use in all
# RecurringEvent tests

# Import the base test case classes
try:
   from Testing import ZopeTestCase
except:
   print "\nCan't import ZopeTestCase -> install that module and setup SOFTWARE_HOME\n"


try:
   from Products.PloneTestCase import PloneTestCase
except:
   print "\nCan't import PloneTestCase -> install that module and setup INSTANCE_HOME\n"
   


# Make ZopeTestCase aware of the standard products

# These install (or fail) quietly
ZopeTestCase.installProduct('CMFCore', quiet=1)
ZopeTestCase.installProduct('CMFDefault', quiet=1)
ZopeTestCase.installProduct('CMFCalendar', quiet=1)
ZopeTestCase.installProduct('CMFTopic', quiet=1)
ZopeTestCase.installProduct('DCWorkflow', quiet=1)
ZopeTestCase.installProduct('CMFHelpIcons', quiet=1)
ZopeTestCase.installProduct('CMFQuickInstallerTool', quiet=1)
ZopeTestCase.installProduct('CMFFormController', quiet=1)
ZopeTestCase.installProduct('GroupUserFolder', quiet=1)
ZopeTestCase.installProduct('ZCTextIndex', quiet=1)
ZopeTestCase.installProduct('TextIndexNG2', quiet=1)
ZopeTestCase.installProduct('SecureMailHost', quiet=1)
ZopeTestCase.installProduct('CMFPlone')
ZopeTestCase.installProduct('Archetypes')
ZopeTestCase.installProduct('PortalTransforms', quiet=1)
ZopeTestCase.installProduct('MimetypesRegistry', quiet=1)
ZopeTestCase.installProduct('kupu', quiet=1)

#These must install cleanly
ZopeTestCase.installProduct('RecurringEvent')

# Set up the Plone site used for the test fixture. The PRODUCTS are the products
# to install in the Plone site (as opposed to the products defined above, which
# are all products available to Zope in the test fixture)
PRODUCTS = ['RecurringEvent']
PloneTestCase.setupPloneSite(products=PRODUCTS)


class RecurringEventTestCase(PloneTestCase.PloneTestCase):

    class Session(dict):
        def set(self, key, value):
            self[key] = value

    def _setup(self):
        PloneTestCase.PloneTestCase._setup(self)
        self.app.REQUEST['SESSION'] = self.Session()

    # You may wish to define additional helper methods
    # here that will be available in all tests.